function statMethodAll = drawOneFlow(dbName, xMode, Method)
% This function is used to draw flow consistency figures for a 
% single method on a dataset. 
% dbName: CeLiuFlow, MiddleburyFlow
% xMode:
%   svPerVideo - number of supervoxel per VIDEO
%   svPerFrame - number of supervoxel per FRAME
% Method: GB, GBH, streamGBH, SWA, TSP, MeanShift, NCut 
% 
% Example: 
%   drawOneFlow('MiddleburyFlow', 'svPerVideo', 'GBH')
%

[VS, PATH] = globals(dbName, Method);

%% Draw Flow Label Consistency
fprintf('Loading Method: %s ... \n', PATH.methodName);
[~, statMethodAll] = loadMethodNorm(PATH.segEvalFlow, VS.vid, xMode);

fprintf('Drawing figures ... \n');
figure;
hold all;
for j=1:length(VS.vid)
    plot(statMethodAll(1,:,j), statMethodAll(2,:,j));
end
box on;
% xlim([100,1000]);
hold off;
legend(VS.vid, 'Location', 'eastoutside');



