function checkCompStat(VS, PATH)

db(length(VS.vid)).matList = [];
db(length(VS.vid)).svNumList = [];
db(length(VS.vid)).spNumList = [];
parfor i=1:length(VS.vid)
    matList = dir(fullfile(PATH.segMat, VS.vid{i}, '*.mat'));
    db(i).matList = cell(length(matList));
    db(i).svNumList = zeros(length(matList),1);
    db(i).spNumList = zeros(length(matList),1);
    for j=1:length(matList)
        this = load(fullfile(PATH.segMat, VS.vid{i}, matList(j).name));
        db(i).matList{j} = matList(j).name;
        db(i).svNumList(j) = max(this.svMap(:));
        db(i).spNumList(j) = uint32(checkSpNum(this.svMap));
    end
end

reportPath = [VS.Name,'_',PATH.methodName,'.txt'];
fid = fopen(reportPath, 'wt');
for i=1:length(VS.vid)
    fprintf(fid, '%20s', VS.vid{i});
    for j=1:length(db(i).matList)
        fprintf(fid, ',%05d/%05d(%05s)', db(i).svNumList(j), ...
            db(i).spNumList(j), db(i).matList{j});
    end
    fprintf(fid, '\n');
end
fclose(fid);


function spNum = checkSpNum(svMap)
% Average Superpixel Per Frame
sv_f = size(svMap,3);
spNumList = zeros(sv_f,1);
for i=1:sv_f
    spNumList(i) = length(unique(svMap(:,:,i)));
end
spNum = mean(spNumList);
