function checkSvCompMeanShift(IN_path, reportPath)
% This function is used to check Hierarchical MeanShift computation status.

subFold = listSubFold(IN_path);
fid = fopen(reportPath, 'wt');
for i=1:length(subFold)
    fprintf(fid, '%s', subFold{i});
    [~, svNum] = readSegmentation(fullfile(IN_path, subFold{i}), 'ppm');
    filePath = fullfile(fullfile(IN_path, subFold{i}, 'hierarchy.txt'));
    if ~exist(filePath, 'file')
        fprintf('Missing: %s \n', filePath);
        fprintf(fid, '\n');
        continue
    end
    fileID = fopen(filePath, 'r');
    C = textscan(fileID, '%d%q%d');
    mergeNum = length(C{1});
    
    fprintf(fid, ',%d', svNum-mergeNum);
    fprintf(fid, ',%d', svNum);
    fprintf(fid, '\n');
end
fclose(fid);