function convSegMeanShift(IN_path, matNum)
% This function is used to convert S. Paris's Mean Shift output.

if matNum < 2
    fprintf('matNum must > 2\n');
    return
end

[svMap, svNum] = readSegmentation(IN_path, 'ppm');
savepath = fullfile(IN_path, sprintf('%02d.mat', matNum));
save_svMap(savepath, svMap);

fileID = fopen(fullfile(IN_path, 'hierarchy.txt'), 'r');
C = textscan(fileID, '%d%q%d');
svLeft = C{1};
svRight = C{3};
fclose(fileID);
mergeNum = length(svLeft);
    
outNum = floor(mergeNum/(matNum-1));
for i=1:mergeNum
    svMap(svMap==svLeft(i)) = svRight(i);
    if mod(i, outNum) == 0
        savepath = fullfile(IN_path, sprintf('%02d.mat', matNum-i/outNum));
        save_svMap(savepath, svMap);
    end
end


function save_svMap(savepath, svMap)
svMap = cvlbmap(svMap);
svMap = uint32(svMap);
save(savepath, 'svMap', '-v7.3');
