function convSegMultiple(IN_path, fmt)
% This function is used to convert supervoxels from image format to mat
% file for a parent folder that contains a set of subfolders.

if ~exist(IN_path, 'dir')
    fprintf('Not exist %s \n', IN_path);
    return
end

subFolds = listSubFold(IN_path);
if ~isempty(subFolds)
    fprintf('This is the parent folder. Read the set of sub folders.\n');
    for i=1:length(subFolds)
        fprintf('processing sub-folder %s ...\n', subFolds{i});
        [svMap, ~] = readSegmentation(fullfile(IN_path, subFolds{i}), fmt);
        if ~isempty(svMap)
            savepath = fullfile(IN_path, [subFolds{i},'.mat']);
            save(savepath, 'svMap', '-v7.3');
        end
    end
end