function segBr = genBoundary(segMap, mode)
% This function is used to generate 3D boundaries for gtMap and svMap.

[I_h, I_w, frameNum] = size(segMap);

segBr = [];
for i=1:frameNum
    im = segMap(:,:,i);
    
    im_left = cat(2, zeros(I_h,1), im(:,1:end-1));
    br_left = ((im-im_left)~=0);
    im_up = cat(1, zeros(1,I_w), im(1:end-1,:));
    br_up = ((im-im_up)~=0);
    im_right = cat(2, im(:,2:end), zeros(I_h,1));
    br_right = ((im-im_right)~=0);
    im_down = cat(1, im(2:end,:), zeros(1,I_w));
    br_down = ((im-im_down)~=0);
    
    if strcmp(mode, '2D') || strcmp(mode, '2d')
        imBr = (br_left | br_up | br_right | br_down);
    end
    
    if strcmp(mode, '3D') || strcmp(mode, '3d')
        if i==1
            im_next = segMap(:,:,i+1);
            br_next = ((im-im_next)~=0);
            imBr = (br_left | br_up | br_right | br_down | br_next);
        elseif i==frameNum
            im_previous = segMap(:,:,i-1);
            br_previous = ((im-im_previous)~=0);
            imBr = (br_left | br_up | br_right | br_down | br_previous);
        else
            im_next = segMap(:,:,i+1);
            br_next = ((im-im_next)~=0);
            im_previous = segMap(:,:,i-1);
            br_previous = ((im-im_previous)~=0);
            imBr = (br_left | br_up | br_right | br_down | br_previous | br_next);
        end
    end
    
    imBr(:,1) = 0; imBr(:,end) = 0;
    imBr(1,:) = 0; imBr(end,:) = 0;
    segBr = cat(3,segBr,imBr);
end