function segBr = genBoundaryBetweenFrames(segMap)
% This function is used to generate Between-Frame Boundaries.

[I_h, I_w, frameNum] = size(segMap);
if frameNum < 2
    segBr = zeros(I_h, I_w);
    return
end

segBr = [];
for i=1:frameNum-1
    im = segMap(:,:,i);
    im_next = segMap(:,:,i+1);
    imBr = ((im-im_next)~=0);        
    segBr = cat(3,segBr,imBr);
end