function score = scoreExplainedVariation(svMap, framePath, fmt)
% This function is used to socre explained variation for supervoxels.

% Load RGB Video
imList = dir(fullfile(framePath, ['*.',fmt]));
videoRGB = [];
for i=1:length(imList)
    im = imread(fullfile(framePath, imList(i).name));
    videoRGB = cat(1, videoRGB, reshape(im,[],3));
end
videoRGB = double(videoRGB);

% global mean
meanGlobal = mean(videoRGB);
pix2Center = sum((videoRGB-repmat(meanGlobal,size(videoRGB,1),1)).^2,2);

svNum = max(svMap(:));
sv2Center = zeros(svNum,1);
for i=1:svNum
    mask = (svMap==i);
    mask = reshape(mask,[],1);
    sv2Center(i) = sum((mean(videoRGB(mask,:)) - meanGlobal).^2);
end

% get supervoxel size by frame
svSize = segSizeByFrame(svMap,1:max(svMap(:)));
svSize = sum(svSize,2);
score = sum(sv2Center.*svSize)/sum(pix2Center);