function [score, onMap] = scoreFlowConsistency(svMap, VX, VY)
% This function is used to compute supervoxel label consistency to ground
% truth flow as described in Chang et al. CVPR'13.

VX = int32(VX); VY = int32(VY);
[I_h, I_w, frameNum] = size(VX);

onMap = zeros(size(VX));

total = 0; match = 0;
for k=1:frameNum
    for i=1:I_h
        for j=1:I_w
            i_n = i+VY(i,j,k);
            j_n = j+VX(i,j,k);
            if i_n > I_h || i_n < 1
                continue
            end
            if j_n > I_w || j_n < 1
                continue
            end
            total = total + 1;
            if svMap(i,j,k) == svMap(i_n,j_n,k+1)
                onMap(i,j,k) = 1;
                match = match + 1;
            end
        end
    end
end

score = match/total;
fprintf('match rate: %f \n', score);