function [TEX, SZV] = scoreMeanDurationAndSizeVariation(svMap)
% This function is used to score 1) the supervoxel mean duration normalized
% by frame number of a video and 2) socre size variation of supervoxels.
% svMap: supervoxel index map I_h x I_w x frame_num, idx: 1:N

% get supervoxel size by frame
svSize = segSizeByFrame(svMap,1:max(svMap(:)));

% Temporal Extend
svOn = (svSize>0);
TEX = sum(svOn(:))/numel(svOn);

% Size Variation
svNum = size(svSize,1);
svSTD = zeros(svNum,1);
for i=1:svNum
    thisSize = svSize(i,:);
    svSTD(i) = std(thisSize(thisSize>0));
end
SZV = mean(svSTD);