function segSize = segSizeByFrame(segMap, segList)
% This function is used to extract size information of supervoxels.
% segMap: 3D video volume with supervoxel index.
% segList: a list of supervoxel index.
% segSize: a matrix containing size information per frame of supervoxels.

frameNum = size(segMap,3);
segSize = zeros(length(segList),frameNum);
for i=1:frameNum
    thisMap = segMap(:,:,i);
    segSize(:,i) = histc(thisMap(:), segList);
end