function [A_points, B_points, num_sample] = Nystrom_sampling(V_total, num_sample, I_w, I_h, num_frame)

% % Total random and pick all the frames
% Points = randperm(V_total)';
% A_points = Points(1:num_sample);
% B_points = Points(num_sample+1:V_total);
% A_points = sort(A_points);
% B_points = sort(B_points);

% % Pick equally from first, middle, and last frames
% num_sample = floor(num_sample/3);
% frame_middle = floor(num_frame/2) + 1;
% A_points = floor(cat(2, linspace(1, I_w * I_h, num_sample), ...
%     linspace(I_w * I_h * (frame_middle - 1), I_w * I_h * frame_middle, num_sample), ...
%     linspace(I_w * I_h * (num_frame - 1), I_w * I_h * num_frame, num_sample)));
% A_points = unique(A_points);

% Pick randomly from first, middle, and last frames
num_sample = floor(num_sample/3);
frame_middle = floor(num_frame/2) + 1;
Points_first = 1:(I_w * I_h);
Points_middle = (I_w * I_h * (frame_middle - 1) + 1):(I_w * I_h * frame_middle);
Points_last = (I_w * I_h * (num_frame - 1) + 1):(I_w * I_h * num_frame);
A_points = cat(2, randsample(Points_first, num_sample), ...
    randsample(Points_middle, num_sample), ...
    randsample(Points_last, num_sample));
A_points = sort(A_points);

num_sample = size(A_points, 2);
B_points = 1:V_total;
B_points(A_points) = [];
A_points = A_points.';
B_points = B_points.';