function video_generator_fast(matPath, OUT_path, numOfSvx)

if ~exist(OUT_path, 'dir')
    mkdir(OUT_path);
end

load(matPath);

V_total = size(E,1);
I_w = 240;
I_h = 160;
frame_num = V_total/(I_w*I_h);

% for numOfSvx = 600:300:1500
fprintf('K-means + knn for %d ... \n', numOfSvx);

Sample_idx = randsample(1:V_total, V_total/20);
%     Sample_idx = randsample(1:V_total, V_total/5);

E_sample = E(Sample_idx,:);
opts = statset('Display', 'iter', 'MaxIter', 50);
[~, Cluster] = kmeans(E_sample, numOfSvx, 'emptyaction', 'singleton', 'onlinephase', 'off', 'Options', opts, 'start', 'cluster');
IDX = knnsearch(Cluster, E);

disp('Assigning Colors');
Color_sample = randsample(1:255*255*255, numOfSvx);
R = zeros(numOfSvx, 1);
G = zeros(numOfSvx, 2);
B = zeros(numOfSvx, 3);
for i=1:numOfSvx
    [R(i), G(i), B(i)] = V_map_3D(Color_sample(1,i),255,255);
end
Seg_image = zeros(I_h, I_w, 3, frame_num);
for i=1:num_sample
    [y_i, x_i, t_i] = V_map_3D(A_points(i), I_w, I_h);
    Seg_image(y_i, x_i, 1, t_i) = R(IDX(i));
    Seg_image(y_i, x_i, 2, t_i) = G(IDX(i));
    Seg_image(y_i, x_i, 3, t_i) = B(IDX(i));
end
for i=num_sample+1:V_total
    [y_i, x_i, t_i] = V_map_3D(B_points(i-num_sample), I_w, I_h);
    Seg_image(y_i, x_i, 1, t_i) = R(IDX(i));
    Seg_image(y_i, x_i, 2, t_i) = G(IDX(i));
    Seg_image(y_i, x_i, 3, t_i) = B(IDX(i));
end

Seg_image = uint8(Seg_image);
savefold = fullfile(OUT_path, sprintf('%d',numOfSvx));
if ~exist(savefold, 'dir')
    mkdir(savefold);
end
for i=1:frame_num
    savepath = fullfile(savefold, sprintf('%05d.ppm', i));
    imwrite(Seg_image(:,:,:,i), savepath);
end
% end