function runGB(VS, PATH)
% This function is used to run GB segmentation over all videos in a
% dataset.

%% Methods: GB
cmdList = [];
for i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    if ~exist(savefold, 'dir')
       mkdir(savefold);
    end
    disp(VS.vid{i});
    
    cmdList{end+1} = sprintf('%s 100 200 200 0.5 0 %s %s/01', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 100 200 800 0.5 0 %s %s/02', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 200 200 800 0.5 0 %s %s/04', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 400 200 800 0.5 0 %s %s/06', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 600 200 800 0.5 0 %s %s/08', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 800 200 800 0.5 0 %s %s/10', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 1000 200 800 0.5 0 %s %s/12', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 1200 200 1000 0.5 0 %s %s/13', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 1500 200 1000 0.5 0 %s %s/14', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    
    cmdList{end+1} = sprintf('%s 5 200 20 0.5 0 %s %s/21', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 10 200 20 0.5 0 %s %s/22', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 20 200 50 0.5 0 %s %s/23', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 50 200 50 0.5 0 %s %s/24', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 50 200 100 0.5 0 %s %s/25', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 80 200 100 0.5 0 %s %s/26', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 100 200 100 0.5 0 %s %s/27', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);

    cmdList{end+1} = sprintf('%s 2000 200 1000 0.5 0 %s %s/31', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 2000 200 2000 0.5 0 %s %s/32', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 2500 200 2000 0.5 0 %s %s/33', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 2500 200 3000 0.5 0 %s %s/34', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 3000 200 5000 0.5 0 %s %s/35', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    cmdList{end+1} = sprintf('%s 5000 200 8000 0.5 0 %s %s/36', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);

    
end
parfor i=1:length(cmdList)
    system(cmdList{i});
end

% Convert To Mat
parfor i=1:length(VS.vid)
    subFolds = listSubFold(fullfile(PATH.segMat, VS.vid{i}));
    for j=1:length(subFolds)
        segFold = fullfile(PATH.segMat, VS.vid{i}, subFolds{j}, '00');
        savepath = fullfile(PATH.segMat, VS.vid{i}, [subFolds{j},'.mat']);
        if ~exist(savepath, 'file')
            convSegSingle(segFold, 'ppm', savepath);
        end
    end
end
