function runGBH(VS, PATH)
% This function is used to generate GBH segmentations over all videos in 
% a dataset. 

%% Methods: GBH
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    if ~exist(savefold, 'dir')
       mkdir(savefold);
    end
    disp(VS.vid{i});    

    if strcmp(VS.Name, 'MiddleburyFlow')
        % MiddleburyFlow
        cmd = sprintf('%s 5 100 50 0.5 30 %s %s', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    else
        % BuffaloXiph, SegTrackv2, BVDS, CamVid, CeLiuFlow
        cmd = sprintf('%s 5 100 50 0.5 50 %s %s', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    end
    system(cmd);    
end

% Convert To Mat
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    convSegMultiple(savefold, 'ppm');
end
