function runNCut(VS, PATH)
% This function is used to generate Nystrom Cut segmentations for all
% videos in a dataset. 

%% Methods: NCut
addpath(PATH.segCode);
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    if ~exist(savefold, 'dir')
       mkdir(savefold);
    end
    Nystrom_video(fullfile(VS.PPMPath, VS.vid{i}), fullfile(PATH.segMat, [VS.vid{i},'.mat']));
    video_generator_fast(fullfile(PATH.segMat, [VS.vid{i},'.mat']), fullfile(PATH.segMat, VS.vid{i}), 600);
    video_generator_fast(fullfile(PATH.segMat, [VS.vid{i},'.mat']), fullfile(PATH.segMat, VS.vid{i}), 900);
    video_generator_fast(fullfile(PATH.segMat, [VS.vid{i},'.mat']), fullfile(PATH.segMat, VS.vid{i}), 1500);
end

%% Convert Single Outputs
parfor i=1:length(VS.vid)
    subFolds = listSubFold(fullfile(PATH.segMat, VS.vid{i}));
    for j=1:length(subFolds)
        segFold = fullfile(PATH.segMat, VS.vid{i}, subFolds{j});
        savepath = fullfile(PATH.segMat, VS.vid{i}, [subFolds{j},'.mat']);
        if ~exist(savepath, 'file')
            convSegSingle(segFold, 'ppm', savepath);
        end
    end
end
