function runSWA(VS, PATH)
% This function is used to generate SWA segmentations for all videos in a
% datset. 

%% Methods: SWA
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    if ~exist(savefold, 'dir')
       mkdir(savefold);
    end
    config_file = fullfile(PATH.segMat, [VS.vid{i},'.config']);
    if exist(config_file, 'file')
        
        % Note a Sepcial Case : BuffaloXiph (garden at half resolution).
        
        config_file = svSWA(PATH, VS.vid{i}, fullfile(VS.PNGPath, VS.vid{i}), savefold);
        cmd = sprintf('%s %s', PATH.segCode, config_file);
        system(cmd);
    end
end

% Convert To Mat
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    convSegMultiple(savefold, 'png');
end
