function runStreamGBH(VS, PATH)
% This function is used to generate streamGBH segmentations for all videos
% in a dataset. 

%% Methods: streamGBH
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    if ~exist(savefold, 'dir')
       mkdir(savefold);
    end
    disp(VS.vid{i});
    
    if strcmp(VS.Name, 'MiddleburyFlow')
        cmd = sprintf('%s 5 100 50 0.5 1 30 0 %s %s', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    elseif strcmp(VS.Name, 'CeLiuFlow')
        cmd = sprintf('%s 5 100 50 0.5 10 30 0 %s %s', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    else
        cmd = sprintf('%s 5 100 20 0.5 10 45 0 %s %s', PATH.segCode, fullfile(VS.PPMPath, VS.vid{i}), savefold);
    end
    system(cmd);
end

% Convert To Mat
parfor i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    convSegMultiple(savefold, 'ppm');
end

