function runTSP(VS, PATH)
% This function is used to generate TSP segmentations for all videos in a
% dataset. 

%% Methods: TSP
paramList = [];
KList = {'50';'100';'150';'200';'250';'300';'350';'400';'450';'500';'550';'600';'800';'1000';'1200'};
for i=1:length(VS.vid)
    savefold = fullfile(PATH.segMat, VS.vid{i});
    if ~exist(savefold, 'dir')
        mkdir(savefold);
    end
    disp(VS.vid{i});
    for j=1:length(KList)
        savepath = fullfile(PATH.segMat, VS.vid{i}, sprintf('%s.mat',KList{j}));
        if ~exist(savepath, 'file')
            paramList(end+1).framePath = fullfile(VS.PNGPath, VS.vid{i});
            paramList(end).frameFMT = 'png';
            paramList(end).codePath = PATH.segCode;
            paramList(end).K = KList{j};
            paramList(end).savePath = savepath;
        end
    end
end
parfor i=1:length(paramList)
    if ~exist(paramList(i).savePath, 'file')
        disp(paramList(i).savePath);
        svTSP(paramList(i).framePath, paramList(i).frameFMT, paramList(i).codePath, ...
            paramList(i).K, paramList(i).savePath);
    end
end

