function orgFramesDisc(IN_path, fmt, offset, OUT_path)
% This function is used to renumber frames in a folder with an offset.

if nargin < 4
    OUT_path = IN_path;
end

if offset < -1
    if nargin < 4
        fprintf('Please give output path.\n');
        return
    end
end

if ~exist(OUT_path, 'dir')
    mkdir(OUT_path);
end

frameList = dir(fullfile(IN_path, ['*.',fmt]));
for i=1:length(frameList)
    frame_id = str2double(frameList(i).name(1:5));
    frame_id = frame_id - offset;
    cmd = sprintf('mv %s/%s %s/%05d.%s', IN_path, frameList(i).name, ...
        OUT_path, frame_id, fmt);
    disp(cmd);
    system(cmd);
end
