function VS = readVideoSet(VS, verbose)

VS.vid = listSubFold(VS.PNGPath);
video_num = length(VS.vid);
fprintf('This database contains %d videos.\n', video_num);

if verbose
    VS.height = zeros(video_num,1);
    VS.width = zeros(video_num,1);
    VS.frames = zeros(video_num,1);
    % VS.anno = zeros(video_num,1);
    % VS.test = false(video_num,1);
    
    if strcmp(VS.Name, 'BVDS')
        load(fullfile(VS.PNGPath, '..', 'MoMap.mat'));
        VS.Motion = MoMap(:,1);
        VS.Nonrig = MoMap(:,2);
        VS.Camera = MoMap(:,3);
    end
    
    fprintf('|%12s|%6s|%6s|%6s|\n', 'vid', 'width', 'height', 'frames');
    for i=1:video_num
        imList = dir(fullfile(VS.PNGPath, VS.vid{i}, '*.png'));
        VS.frames(i) = length(imList);
        im = imread(fullfile(VS.PNGPath, VS.vid{i}, imList(1).name));
        [VS.height(i), VS.width(i), ~] = size(im);
        fprintf('|%12s|%6d|%6d|%6d|\n', VS.vid{i}(1:min(end,12)), ...
            VS.width(i), VS.height(i), VS.frames(i));
    end
    
    fprintf('Num of Videos: %d \n', length(VS.vid));
    fprintf(' Width Mean: %f \n', mean(VS.width));
    fprintf(' Width   SD: %f \n', std(VS.width));
    fprintf(' Width SD/M: %f \n', std(VS.width)/mean(VS.width));
    fprintf('Height Mean: %f \n', mean(VS.height));
    fprintf('Height   SD: %f \n', std(VS.height));
    fprintf('Height SD/M: %f \n', std(VS.height)/mean(VS.height));
    fprintf(' Frame Mean: %f \n', mean(VS.frames));
    fprintf(' Frame   SD: %f \n', std(VS.frames));
    fprintf(' Frame SD/M: %f \n', std(VS.frames)/mean(VS.frames));
end
