function resizeFrames(IN_path, IN_fmt, OUT_path, OUT_fmt, scale, opt)

if ~exist(OUT_path,'dir')
    mkdir(OUT_path);
end

imList = dir(fullfile(IN_path, ['*.',IN_fmt]));
fprintf('There are %d frames.\n', length(imList));
for i=1:length(imList)
    im = imread(fullfile(IN_path, imList(i).name));
    if nargin > 4
        im = imresize(im, scale, 'Method', opt);
    end
    imwrite(im, fullfile(OUT_path, [imList(i).name(1:end-length(IN_fmt)),OUT_fmt]));
    if mod(i,100) == 0
        fprintf('processed %d frames ...\n', i);
    end
end