function splitFrames(IN_path, fmt, splitNum)
% This function is used to split frames into multiple folders. It assumes
% that frames are numbered. It put frames [1,splitNum] in folder 1, frames
% [splitNum+1,splitNum*2] in folder 2...

imList = dir(fullfile(IN_path, ['*.',fmt]));
imNum = length(imList);
imOrder = zeros(imNum,1);
for i=1:imNum
    imOrder(i) = str2double(imList(i).name(1:end-length(fmt)));
end
    
imSplitFold = ceil(imOrder/splitNum);
imSplitID = mod(imOrder,splitNum);
imSplitID(imSplitID==0) = splitNum;
for i=1:imNum
    savefold = sprintf('%s_%02d', IN_path, imSplitFold(i));
    if ~exist(savefold, 'dir')
        mkdir(savefold);
    end
    
    cmd = sprintf('cp %s/%s %s/%05d.%s', ...
        IN_path, imList(i).name, ...
        savefold, imSplitID(i), fmt);
    disp(cmd);
    system(cmd);
end
    
    
    