function [matName, matSvNum] = chooseMatBySvNum(IN_path, svNum)

matList = dir(fullfile(IN_path, '*.mat'));
if isempty(matList)
    fprintf('Error: No mat in %s ...\n', IN_path);
    matName = [];
    return
end

svNumList = zeros(length(matList),1);
for i=1:length(matList)
    matFile = fullfile(IN_path, matList(i).name);
    try
        this = load(matFile);
        svNumList(i) = this.score(1);
    catch error
        fprintf('Warning: Unable to load %s \n', matFile);
    end
end

dist = abs(svNumList-svNum);
[~,I] = min(dist);
matName = matList(I).name;
matSvNum = svNumList(I);