function makeMontage(Montage, gap, savepath, verbose)

[I_h, I_w, ~] = size(Montage{1,1});
[F_h, F_w] = size(Montage);

for i=1:numel(Montage)
    [this_h, this_w, ~] = size(Montage{i});
    if this_h ~= I_h || this_w ~= I_w
        Montage{i} = imresize(Montage{i}, [I_h I_w], 'nearest');
    end
end

bb_h = ones(I_h, gap, 3, 'uint8')*255;
bb_w = ones(gap, I_w*F_w+gap*(F_w-1), 3, 'uint8')*255;

imMontage = Montage{1,1};
for j=2:F_w
    imMontage = cat(2, imMontage, bb_h, Montage{1,j});
end

[pathstr, ~, ~] = fileparts(savepath);
if ~exist(pathstr, 'dir')
    mkdir(pathstr);
end

if verbose
    imwrite(imMontage, [savepath,'.00001.png']);
end


for i=2:F_h
    tmpMontage = Montage{i,1};
    for j=2:F_w
        tmpMontage = cat(2, tmpMontage, bb_h, Montage{i,j});
    end
    
    if verbose
        imwrite(tmpMontage, [savepath,sprintf('.%05d.png',i)]);
    end
    
    imMontage = cat(1, imMontage, bb_w, tmpMontage);
end

% imwrite(imMontage, savepath);